Bug 46334 - Corrupted build if lftp not installed already
Summary: Corrupted build if lftp not installed already
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: lftp (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-27 21:11 UTC by Enrico Scholz
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 21:02:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-06-27 21:11:20 UTC
Description of Problem:

When trying to rebuild lftp-2.3.11-2.src.rpm I need to have lftp already
installed. Else there are appearing messages like

-----------
mkdir /var/tmp/lftp-2.3.11-root/usr/lib/lftp/2.3.11
/bin/sh ../libtool --silent  --mode=install /usr/bin/install -c
proto-ftp.la /var/tmp/lftp-2.3.11-root/usr/lib/lftp/2.3.11/proto-ftp.la
libtool: install: warning: relinking `proto-ftp.la'
gcc -shared  ftpclass.lo FtpListInfo.lo FtpGlob.lo FtpDirList.lo md5.lo
ftp-opie.lo FtpSplitList.lo FileCopyFtp.lo  -Wl,--rpath
-Wl,/usr/lib/lftp/2.3.11  -L/usr/lib/lftp/2.3.11 -lnetwork -lresolv -ldl
-lm  -lc  -Wl,-soname -Wl,proto-ftp.so -o .libs/proto-ftp.so
/usr/bin/ld: cannot find -lnetwork
collect2: ld returned 1 exit status
libtool: install: error: relink `proto-ftp.la' with the above command
before installing it
libtool: install: warning: remember to run `libtool --finish
/usr/lib/lftp/2.3.11'
/bin/sh ../libtool --silent  --mode=install /usr/bin/install -c
proto-http.la /var/tmp/lftp-2.3.11-root/usr/lib/lftp/2.3.11/proto-http.la
libtool: install: warning: relinking `proto-http.la'
gcc -shared  Http.lo HttpDir.lo  -Wl,--rpath -Wl,/usr/lib/lftp/2.3.11 
-L/usr/lib/lftp/2.3.11 -lnetwork -lresolv -ldl -lm  -lc  -Wl,-soname
-Wl,proto-http.so -o .libs/proto-http.so
/usr/bin/ld: cannot find -lnetwork
collect2: ld returned 1 exit status
libtool: install: error: relink `proto-http.la' with the above command
before installing it
------------------

while the %build-stage. The corresponding modules (proto-ftp.so &
proto-http) are missing in the package also. Therefore lftp won't be able
to handle ftp or http.

The other modules (proto-file,libnetwork,cmd-sleep,cmd-mirror) are ok.


How Reproducible:

evrytime


Steps to Reproduce:
1. uninstall lftp
2. rpm --rebuild lftp-2.3.11-2.src.rpm
3. rpm -qlp lftp-2.3.11-2.i386.rpm


Actual Results:

no proto-http.so or proto-ftp.so file


Expected Results:

/usr/lib/lftp/2.3.11/proto-ftp.la
/usr/lib/lftp/2.3.11/proto-ftp.so
/usr/lib/lftp/2.3.11/proto-http.la
/usr/lib/lftp/2.3.11/proto-http.so



Additional Information:

$ rpm -q autoconf automake libtool binutils gcc glibc
autoconf-2.13-10
automake-1.4p2-1
libtool-1.4-6
binutils-2.11.90.0.8-1
gcc-2.96-91
glibc-2.2.3-11

Comment 1 Enrico Scholz 2001-06-27 21:12:39 UTC
Small mistake: happens not in the %build but in %install stage.

Comment 2 Jason Vas Dias 2004-08-30 21:02:16 UTC
Just clearing out old bugs here. This one was fixed a long time ago
and is definitely fixed in current version: lftp-3.0.6-2 .


Note You need to log in before you can comment on or make changes to this bug.